TRICKLED(8)

NAME
trickled - userspace bandwidth manager daemon

SYNOPSIS
trickled [-h] [-v] [-V] [-f] [-s] [-d rate] [-u rate] [-t seconds] [-l length] [-p priority] [-c file] [-n path] [-N seconds] [-w size]

DESCRIPTION
trickled is a userspace bandwidth manager daemon. trickled manages several trickle(1) sessions at a time, shaping across multiple sessions.

The options are as follows:

-v  Increases the verbosity level (can be specified multiple times).

-V  Prints version.

-f  Runs trickled in the foreground.

-s  Uses syslog for all output (instead of stderr).

-d rate
    Limit the download bandwidth consumption to rate KB/s.

-u rate
    Limit the upload bandwidth consumption to rate KB/s.

-t seconds
    Set smoothing time to seconds s. The smoothing time determines with what intervals trickled will try to let the application transcieve data. Smaller values will result in a more continuous (smooth) session, while larger values may produce bursts in the sending and receiving data. Smaller values (0.1 - 1 s) are ideal for interactive applications while slightly larger values (1 - 10 s) are better for applications that need bulk transfer. This parameter is customizable on a per-application basis via trickled.conf(5). The default value is 5 s.

-l length
    Set smoothing length to length KB. The smoothing length is a fallback of the smoothing time. If trickled cannot meet the requested smoothing time, it will instead fall back on sending length KB of data. The default value is 10 KB.

-p priority
    Set default priority to priority.

-c file
    Use the configuration file file. This file must be of the format documented in trickled.conf(5).

-n path
    Set socket name to path. By default, trickled uses /tmp/.trickled.sock.

-N seconds
    Notifies user of total bandwidth consumption every seconds s.

-w size
    Set peak detection window size to size KB. This determines how aggressive trickled is at eliminating bandwidth consumption peaks. Lower values will be more aggressive, but may also result in over shaping. The default value (512 KB) is usually sufficient.

EXAMPLES
trickled -u 10 -d 20

Limit aggregate trickle(1) upload bandwidth consumption to 10 KB/s and download consumption to 20 KB/s.

SEE ALSO
trickle(1), trickled.conf(5), syslog(3), netintro(4)

AUTHORS
trickled has been developed by Marius Aamodt Eriksen <marius@monkey.org>.